#include <bits/stdc++.h>
	
	using namespace std;
	
	int main() {
		ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
		char c, v;
		cin >> c >> v;
		int a, b;
		cin >> a >> b;
		if(abs(a - b) > 1) {
			cout << "nemoguce";
		}
		else if(a > b) {
			for(int i = 0; i < a + b; i++) {
				if(i % 2 == 0) cout << c;
				else cout << v;
			}
		}
		else {
			for(int i = 0; i < a + b; i++) {
				if(i % 2 == 0) cout << v;
				else cout << c;
			}
		}
		return 0;
	}